/*
 * This file is part of TestGoals, which is a GameScript for OpenTTD
 * Copyright (C) 2011  Daniel Beal
 *
 * TestGoals is free software; you can redistribute it and/or modify it 
 * under the terms of the GNU General Public License as published by
 * the Free Software Foundation; version 2 of the License
 *
 * TestGoals is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with TestGoals; If not, see <http://www.gnu.org/licenses/> or
 * write to the Free Software Foundation, Inc., 51 Franklin Street, 
 * Fifth Floor, Boston, MA 02110-1301 USA.
 *
 */

class TestGoals extends GSController
{
	lastYear = null;
	newCompanies = null;
	companies = null;
	towns = null;
	goals = null;
	save = null;
	saveversion = null;
	constructor() {
		newCompanies = GSList();
		companies = [];
		towns = [];
		goals = [];
		save = false;
	}
	function Start();
}

function TestGoals::Start()
{
	GSController.Sleep(2000);
	goals = [];
	local number = 1;
	for(local i = GSCompany.COMPANY_FIRST;i < GSCompany.COMPANY_LAST;i++) {
		if(GSCompany.ResolveCompanyID(i) == GSCompany.COMPANY_INVALID) continue;
		for(local i = 0;i < 6;i++) {
			goals.append(GSGoal.New(i, "Here is a test goal #" + number, GSGoal.GT_NONE, 0));
			number++;
			if(!GSGoal.IsValidGoal(goals[goals.len() - 1])) GSLog.Warning("Goal could not be created: " + GSError.GetLastErrorString());
			else GSLog.Info("Successfully created this goal!"); 
		}
	}
	GSLog.Info("End of test!");
}
